QGIS Application - Bug report #14185
Incoherence in Scale Bar decoration?
2016-01-28 01:58 AM - Harrissou Santanna

Status: Closed
Priority: Normal
Assignee:

Category: Decorations

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 22187

Description

| have a project in epsg 4326

When displaying the View menu --> Decorations --> ScaleBar, | have the size bar proposed in degrees but when applied it shows meters

(see attached screenshot).

I'm not well aware about how distance calculations are done in 4326 but | think something is weird in this configuration.

| then remark that in my settings, | had Meters as prefered unit for distance and this might be why my scale bar is in meters. So shouldn't

this unit be used in the dialog or be overriden by the default unit of the CRS?

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-22 11:21 AM - Andy Harfoot

In 2.18.13, The units of the Scale Bar decoration appear to follow the 'Preferred distance units' set for the Measure tool in Options > Map Tools > Measure

tool. The project or dataset CRS or Measurement settings do not appear to have any effect.

It is worth noting that some units, eg. Miles and Nautical Miles, do not have a unit displayed on the scale bar.

#3 - 2019-03-09 04:09 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
